at.chipkarte.client.tsv.soap.constants

## Class InvalidParameterExceptionConstants

- Object
- - at.chipkarte.client.tsv.soap.constants.InvalidParameterExceptionConstants

-     public class InvalidParameterExceptionConstants
      extends Object

  Fehlerkonstanten, wenn ein ungültiger Parameter in einer Funktion angegeben wird. Fehlercodes siehe `InvalidParameterExceptionConstants`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ILLEGAL_VALUE` Unerlaubter Wert für diesen Parameter.
    `static int` | `INVALID_FG` Fachgebietscode ist ungültig.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidParameterExceptionConstants()`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INVALID_FG

          public static final int INVALID_FG

      Fachgebietscode ist ungültig.
      ORCLI-Code: CL-A0015
      See Also:
        Constant Field Values

    - #### ILLEGAL_VALUE

          public static final int ILLEGAL_VALUE

      Unerlaubter Wert für diesen Parameter.
      Für setSchulungsszenario, deleteSchulungsdaten:
      ORCLI-Code: CL-A0029
      Für setGeburtstagSzenario:
      ORCLI-Code: SS-00060 Setzen des Geburtsdatums fehlgeschlagen. Das Format des Geburtsdatum muss dd.mm.jjjj sein.
      ORCLI-Code: SS-00061 Setzen des Geburtsdatums fehlgeschlagen. Das Geburtsdatum ist ein Pflichtfeld.
      ORCLI-Code: SS-00062 Setzen des Geburtsdatums fehlgeschlagen. Die Kombination der angegebenen Parameter ist ungültig.
      ORCLI-Code: SS-00063 Setzen des Geburtsdatums fehlgeschlagen. Das Feld <Feldname> darf nicht leer sein.
      ORCLI-Code: SS-00064 Setzen des Geburtsdatums fehlgeschlagen. Die Ansprueche duerfen nicht gleich sein.
      ORCLI-Code: SS-00065 Setzen des Geburtsdatums fehlgeschlagen. Das Geburtsdatum darf nicht in der Zukunft und nicht weiter als 100 Jahre in der Vergangenheit liegen.
      ORCLI-Code: SS-00066 Setzen des Geburtsdatums fehlgeschlagen. Der KVT ist ungueltig oder nicht bekannt.
      ORCLI-Code: SS-00067 Setzen des Geburtsdatums fehlgeschlagen. Das ZPI Backend lieferte einen Fehler: <Fehler>.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InvalidParameterExceptionConstants

          public InvalidParameterExceptionConstants()